
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import ij.plugin.frame.*;
import ij.*;
import ij.process.*;
import ij.gui.*;


/** This plugin demonstrates how to implement a simple user interface. */


public class Simple_Interface extends PlugInFrame implements ActionListener {


    Panel panel;


    public Simple_Interface() {
        super("Panel");
        setLayout(new FlowLayout());
        panel = new Panel();
        panel.setLayout(new GridLayout(4, 1, 3, 3));
        addButton("Measure");
        add(panel);
        pack();
        show();
    }


    void addButton(String label) {
        Button b = new Button(label);
        b.addActionListener(this);
        panel.add(b);
    }


    public void actionPerformed(ActionEvent e) {
        String command= e.getActionCommand();
        if (command.equals("Measure"))
          IJ.run("Set Measurements...", "area               redirect=None decimal=3");
 	IJ.run("Measure");
    }


}


